| Flutter Impeller |

Public Member Functions | List of all members
impeller::SubpixelGlyph::Equal Struct Reference

`#include <font_glyph_pair.h>`

## Public Member Functions
constexpr bool | operator() (const impeller::SubpixelGlyph &lhs, const impeller::SubpixelGlyph &rhs) const

## Detailed Description

Definition at line 80 of file font_glyph_pair.h.

## Member Function Documentation

## ◆ operator()()

constexpr bool impeller::SubpixelGlyph::Equal::operator() | ( | const impeller::SubpixelGlyph & | lhs,
|  | const impeller::SubpixelGlyph & | rhs
| ) |  | const
| inlineconstexpr

Definition at line 81 of file font_glyph_pair.h.

82 {
83 if (!lhs.properties.has_value() && !rhs.properties.has_value()) {
84 return lhs.glyph.index == rhs.glyph.index &&
85 lhs.glyph.type == rhs.glyph.type &&
86 lhs.subpixel_offset == rhs.subpixel_offset;
87 }
88 return lhs.glyph.index == rhs.glyph.index &&
89 lhs.glyph.type == rhs.glyph.type &&
90 lhs.subpixel_offset == rhs.subpixel_offset &&
91 lhs.properties.has_value() && rhs.properties.has_value() &&
92 lhs.properties->color.ToARGB() == rhs.properties->color.ToARGB() &&
93 lhs.properties->stroke == rhs.properties->stroke &&
94 lhs.properties->stroke_cap == rhs.properties->stroke_cap &&
95 lhs.properties->stroke_join == rhs.properties->stroke_join &&
96 lhs.properties->stroke_miter == rhs.properties->stroke_miter &&
97 lhs.properties->stroke_width == rhs.properties->stroke_width;
98 }

References impeller::SubpixelGlyph::glyph, impeller::Glyph::index, impeller::SubpixelGlyph::properties, impeller::SubpixelGlyph::subpixel_offset, and impeller::Glyph::type.

The documentation for this struct was generated from the following file:

- impeller/typographer/font_glyph_pair.h

impeller::SubpixelGlyph::subpixel_offset
Point subpixel_offset
Definition: font_glyph_pair.h:56
impeller::SubpixelGlyph::properties
std::optional< GlyphProperties > properties
Definition: font_glyph_pair.h:57
impeller::SubpixelGlyph::glyph
Glyph glyph
Definition: font_glyph_pair.h:55
impeller::Glyph::index
uint16_t index
Definition: glyph.h:22
impeller::Glyph::type
Type type
Whether the glyph is a path or a bitmap.
Definition: glyph.h:27